<html lang="en-US" style="--vh:6.01px;">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<meta name="robots" content="index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1">
	<title>Blog Website|Anuvabrocks</title>
	<meta name="description" content="Anuvab Blogs Website">
	<link rel="canonical" href="">
	<meta property="og:locale" content="en_US">
	<meta property="og:type" content="article">
	<meta property="og:title" content="Best Blogging Anuvab ">
	<meta property="og:description" content="My blogging Website.">
	<meta property="og:url" content="">
	<meta property="og:site_name" content="">
	<meta property="article:publisher" content="">
	<meta property="article:modified_time" content="2021-07-13T13:49:41+00:00">
	<meta property="og:image" content="">
	<meta property="og:image:width" content="840">
	<meta property="og:image:height" content="430">
	<meta name="twitter:card" content="summary_large_image">
	<meta name="twitter:site" content="@Anuvab_Sen">
	<meta name="twitter:label1" content="Anuvab loves Amrita">
	<meta name="twitter:data1" content="21 minutes">

	<script type="text/javascript" async="" src="https://www.google-analytics.com/analytics.js"></script>
	<script type="text/javascript" async="" src="https://www.google-analytics.com/analytics.js"></script>
	<script type="text/javascript" async="" src="https://www.google-analytics.com/analytics.js"></script>
	<script type="text/javascript" async="" src="https://www.google-analytics.com/analytics.js"></script>
	<script type="application/ld+json" class="yoast-schema-graph">{"@context":"https://schema.org","@graph":[{"@type":"Organization","@id":"https://firstsiteguide.com/#organization","name":"FirstSiteGuide","url":"https://firstsiteguide.com/","sameAs":["https://www.facebook.com/firstsiteguide","https://www.instagram.com/firstsiteguide/","https://www.linkedin.com/company/firstsiteguide/","https://www.youtube.com/firstsiteguide","https://www.pinterest.com/firstsiteguide/","https://twitter.com/firstsiteguide"],"logo":{"@type":"ImageObject","@id":"https://firstsiteguide.com/#logo","inLanguage":"en-US","url":"https://firstsiteguide.com/wp-content/uploads/2020/11/fsg-logo-green.svg","width":73,"height":70,"caption":"FirstSiteGuide"},"image":{"@id":"https://firstsiteguide.com/#logo"}},{"@type":"WebSite","@id":"https://firstsiteguide.com/#website","url":"https://firstsiteguide.com/","name":"FirstSiteGuide","description":"Online Business Advice","publisher":{"@id":"https://firstsiteguide.com/#organization"},"potentialAction":[{"@type":"SearchAction","target":"https://firstsiteguide.com/?s={search_term_string}","query-input":"required name=search_term_string"}],"inLanguage":"en-US"},{"@type":"ImageObject","@id":"https://firstsiteguide.com/best-blogging-platforms/#primaryimage","inLanguage":"en-US","url":"https://firstsiteguide.com/wp-content/uploads/2018/04/The-best-blogging-sites.png","width":840,"height":430,"caption":"Best Blogging Sites and Platforms"},{"@type":["WebPage","FAQPage"],"@id":"https://firstsiteguide.com/best-blogging-platforms/#webpage","url":"https://firstsiteguide.com/best-blogging-platforms/","name":"10 Best Blogging Sites (in 2021) - Top Platforms for Blogs Compared","isPartOf":{"@id":"https://firstsiteguide.com/#website"},"primaryImageOfPage":{"@id":"https://firstsiteguide.com/best-blogging-platforms/#primaryimage"},"datePublished":"2018-04-05T12:51:58+00:00","dateModified":"2021-07-13T13:49:41+00:00","description":"A detailed overview of self-hosted, freemium, and free blogging sites and platforms where you can start your new blog. Reviews of the best online sites for blogging.","breadcrumb":{"@id":"https://firstsiteguide.com/best-blogging-platforms/#breadcrumb"},"mainEntity":[{"@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871292939"},{"@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871320137"},{"@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871360902"},{"@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871391174"}],"inLanguage":"en-US","potentialAction":[{"@type":"ReadAction","target":["https://firstsiteguide.com/best-blogging-platforms/"]}]},{"@type":"BreadcrumbList","@id":"https://firstsiteguide.com/best-blogging-platforms/#breadcrumb","itemListElement":[{"@type":"ListItem","position":1,"item":{"@type":"WebPage","@id":"https://firstsiteguide.com/","url":"https://firstsiteguide.com/","name":"Home"}},{"@type":"ListItem","position":2,"item":{"@type":"WebPage","@id":"https://firstsiteguide.com/best-blogging-platforms/","url":"https://firstsiteguide.com/best-blogging-platforms/","name":""}}]},{"@type":"Question","@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871292939","position":1,"url":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871292939","name":"What is a blogging platform?","answerCount":1,"acceptedAnswer":{"@type":"Answer","text":"A blogging platform is a service that\u2019s used to create and manage a blog so that you can publish your ideas and words online.\u00a0<br/>Blog sites are also sometimes known as CMS (Content Management System) since they let you efficiently manage content publishing.","inLanguage":"en-US"},"inLanguage":"en-US"},{"@type":"Question","@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871320137","position":2,"url":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871320137","name":"How can I create a blog for free?","answerCount":1,"acceptedAnswer":{"@type":"Answer","text":"You can quickly launch a free blog on WordPress or any other free blogging sites I mentioned in this article.\u00a0<br/>But if you decide to step up your blogging game and go further, I recommend a self-hosted version of WordPress. With WordPress.org you can build a website in under 10 minutes if you are ok with the default settings, and you find a theme you like.","inLanguage":"en-US"},"inLanguage":"en-US"},{"@type":"Question","@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871360902","position":3,"url":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871360902","name":"Do I need to know how to code?","answerCount":1,"acceptedAnswer":{"@type":"Answer","text":"No. Whether you want to start with simple sites on Tumblr or want to blog on WordPress, you don\u2019t have to know anything about programming languages or databases. Most of the available blogging platforms in the modern world let you build websites through their drag and drop builders. That means that you can sit, relax, and focus on the design.","inLanguage":"en-US"},"inLanguage":"en-US"},{"@type":"Question","@id":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871391174","position":4,"url":"https://firstsiteguide.com/best-blogging-platforms/#faq-question-1617871391174","name":"Can I earn money with free blogs?","answerCount":1,"acceptedAnswer":{"@type":"Answer","text":"Yes, even with a free blog, you can earn money with it. There are different ways of monetization (like showing ads, joining affiliate programs, accepting sponsored content, or adding an online store). However, to make money, you will first have to invest time (and usually money) into it. This is something all popular blogs and the best blog sites have had to do.\u00a0","inLanguage":"en-US"},"inLanguage":"en-US"}]}</script> <link rel="alternate" type="application/rss+xml" title="FirstSiteGuide » Best Blogging Sites and Platforms in 2021 Comments Feed" href="https://firstsiteguide.com/best-blogging-platforms/feed/"><link rel="preload" href="https://firstsiteguide.com/wp-content/themes/fsg/fonts/balooda2/subset-BalooDa2-Medium.woff2" as="font" crossorigin="anonymous"><link rel="preload" href="https://firstsiteguide.com/wp-content/themes/fsg/fonts/balooda2/subset-BalooDa2-Bold.woff2" as="font" crossorigin="anonymous"><link rel="preload" href="https://firstsiteguide.com/wp-content/themes/fsg/fonts/balooda2/subset-BalooDa2-ExtraBold.woff2" as="font" crossorigin="anonymous"><link rel="preload" href="https://firstsiteguide.com/wp-content/themes/fsg/fonts/roboto/subset-Roboto-Bold.woff2" as="font" crossorigin="anonymous"><link rel="preload" href="https://firstsiteguide.com/wp-content/themes/fsg/fonts/roboto/subset-Roboto-Regular.woff2" as="font" crossorigin="anonymous"><link rel="preload" href="https://firstsiteguide.com/wp-content/themes/fsg/fonts/iconfont/iconfont-3.7.woff2" as="font" crossorigin="anonymous"><link rel="preload" as="font" href="https://firstsiteguide.com/wp-content/plugins/easy-social-share-buttons3/assets/fonts/essb.woff" crossorigin="anonymous"><link rel="stylesheet" id="wp-block-library-css" href="https://firstsiteguide.com/wp-includes/css/dist/block-library/style.min.css" media="all">

	<link rel="stylesheet" id="contact-form-7-css" href="css/contact.css" media="all">

	<link rel="stylesheet" id="scrollbar-css" href="css/scrollbar.css" media="all">
	<link rel="stylesheet" id="app-css" href="https://firstsiteguide.com/wp-content/themes/fsg/styles/pages/blog.css?ver=4.3" media="all">
	<link rel="stylesheet" id="easy-social-share-buttons-css" href="https://firstsiteguide.com/wp-content/plugins/easy-social-share-buttons3/assets/css/easy-social-share-buttons.min.css?ver=4.1" media="all">
	<link rel="https://api.w.org/" href="https://firstsiteguide.com/wp-json/">
	<link rel="alternate" type="application/json" href="https://firstsiteguide.com/wp-json/wp/v2/tools/1395">
	<link rel="EditURI" type="application/rsd+xml" title="RSD" href="https://firstsiteguide.com/xmlrpc.php?rsd">
	<link rel="wlwmanifest" type="application/wlwmanifest+xml" href="https://firstsiteguide.com/wp-includes/wlwmanifest.xml">
	<link rel="shortlink" href="https://firstsiteguide.com/?p=1395">
	<link rel="alternate" type="application/json+oembed" href="https://firstsiteguide.com/wp-json/oembed/1.0/embed?url=https%3A%2F%2Ffirstsiteguide.com%2Fbest-blogging-platforms%2F">
	<link rel="alternate" type="text/xml+oembed" href="https://firstsiteguide.com/wp-json/oembed/1.0/embed?url=https%3A%2F%2Ffirstsiteguide.com%2Fbest-blogging-platforms%2F&amp;format=xml">

	<script type="text/javascript">var essb_settings = {"ajax_url":"https:\/\/firstsiteguide.com\/wp-admin\/admin-ajax.php","essb3_nonce":"f1ad78718c","essb3_plugin_url":"https:\/\/firstsiteguide.com\/wp-content\/plugins\/easy-social-share-buttons3","essb3_facebook_total":true,"essb3_admin_ajax":false,"essb3_internal_counter":false,"essb3_stats":false,"essb3_ga":false,"essb3_ga_mode":"simple","essb3_counter_button_min":0,"essb3_counter_total_min":0,"blog_url":"https:\/\/firstsiteguide.com\/","ajax_type":"wp","essb3_postfloat_stay":false,"essb3_no_counter_mailprint":false,"essb3_single_ajax":false,"twitter_counter":"self","post_id":1395};
	</script>

	<link rel="icon" href="download.jpg" sizes="32x32">
	<link rel="icon" href="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ6FcFJZ-H4zevAuhRuoBFcw8qk0YV2o2AuvA&amp;usqp=CAU" sizes="192x192">
	<link rel="apple-touch-icon" href="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ6FcFJZ-H4zevAuhRuoBFcw8qk0YV2o2AuvA&amp;usqp=CAU">
	<meta name="msapplication-TileImage" content="">

	<style id="wp-custom-css">

	.full-post .post__image img.dont-lazy-me {
	min-height: 300px;
}

@media screen and (max-width:600px) {
	.full-post .post__image img.dont-lazy-me {
		min-height: 150px;
	}
}</style>

<style type="text/css">
#mc_embed_signup input.mce_inline_error { border-color:#6B0505; } #mc_embed_signup div.mce_inline_error { margin: 0 0 1em 0; padding: 5px 10px; background-color:#6B0505; font-weight: bold; z-index: 1; color:#fff; }</style>
<script type="text/javascript" async="" src="https://www.googletagmanager.com/gtag/js?id=UA-46578653-1"></script>
<script type="text/javascript">window.dataLayer = window.dataLayer || [];function gtag(){dataLayer.push(arguments);}gtag("js", new Date());gtag("config", "UA-46578653-1");</script>
</head>
<body style="zoom: 1;">
	<header class="header"><div class="container"><div class="header__logo"> <a href="" class="custom-logo dont-lazy-me-link" rel="home"><img width="73" height="70" src="b.webp" class="custom-logo dont-lazy-me" alt="fsg logo"></a>
	</div>
	<nav class="nav header__nav"><ul class="nav__part"><li> <a class="" href=""> <span>About</span> </a></li>
		<li> <a class="" href=""> <span>Resources</span> <i class="nav__counter">157</i> </a></li>
		<li> <a class="" href=""> <span>Personal Website</span> </a></li>
		<li> <a class="" href=""> <span>Blogs</span> </a></li></ul>
		<ul class="nav__part"><li> <a href=""><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:fire">
			<path d="M24 44c8.235 0 15-6.526 15-14.902c0-2.056-.105-4.26-1.245-7.686c-1.14-3.426-1.369-3.868-2.574-5.984c-.515 4.317-3.27 6.117-3.97 6.655c0-.56-1.666-6.747-4.193-10.45C24.537 8 21.163 5.617 19.185 4c0 3.07-.863 7.634-2.1 9.96c-1.236 2.325-1.468 2.41-3.013 4.14c-1.544 1.73-2.253 2.265-3.545 4.365C9.236 24.565 9 27.362 9 29.418C9 37.794 15.765 44 24 44z" fill="#2F88FF" stroke="#000" stroke-width="4" stroke-linejoin="round"></path></svg>
			<span>IIEST </span> </a></li><li> <a href="https://www.iiests.ac.in/"> <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:bookshelf"><g fill="#2F88FF" stroke="#000" stroke-width="4" stroke-linecap="round" stroke-linejoin="round"><path d="M5 6h34s4 2 4 7s-4 7-4 7H5s4-2 4-7s-4-7-4-7zM43 28H9s-4 2-4 7s4 7 4 7h34s-4-2-4-7s4-7 4-7z"></path></g></svg> <span>Technical Blogs </span> </a></li></ul><div class="header__search green_bg"><form action="https://firstsiteguide.com/" class="header__search-form"> <button id="searchsubmit" class="header__search-button" type="button"> <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:arithmetic-buttons"><g fill="none" stroke-width="4" stroke-linecap="round"><rect x="4" y="4" width="40" height="40" rx="3" fill="#2F88FF" stroke="#000" stroke-linejoin="round"></rect><path d="M10 14h8M10 14h8M11 37l6-6M14 18v-8M17 37l-6-6M30 14h8M30 31h8M30 37h8" stroke="#fff" stroke-linejoin="round"></path><path d="M24 4v40M4 24h40" stroke="#fff"></path>
				<path d="M30 4H18M30 44H18M4 28v-8M44 28v-8" stroke="#000" stroke-linejoin="round"></path></g></svg> </button>
				<input class="header__search-input" autocomplete="off" type="search" name="s" id="s" placeholder="Search the website" value=""></form><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:paper-money"><g transform="translate(4 7)" stroke-width="4" fill="none" fill-rule="evenodd" stroke-linejoin="round"><rect stroke="#000" fill="#2F88FF" fill-rule="nonzero" width="40" height="34" rx="5"></rect><g stroke="#FFF" stroke-linecap="round"><path d="M14 8l6 6l6-6M13 16h14M13 22h14M20 16v11"></path></g></g></svg></div><div class="nav__close d-md-none">×</div></nav><div class="header__nav-toggle"> <span></span> <span></span> <span></span></div></div></header><main class="content"><section class="screen screen_green screen_fit screen_main text-md-center"><div class="container"><h1 class="heading-blog">Hi, I am Anuvab Sen</h1><div class="screen__text"><p>Welcome to my blog site</p></div><div class="row screen__author-row"><div class="col-xl-4 col-xxl-3 mb-4 mb-xl-0"><div class="screen__scl"><div class="essb_links essb_displayed_shortcode essb_share essb_template_grey-circles-outline-retina essb_1615843415 print-no" id="essb_displayed_shortcode_1615843415" data-essb-postid="1395" data-essb-position="shortcode" data-essb-button-style="button" data-essb-template="grey-circles-outline-retina" data-essb-counter-pos="" data-essb-url="https://firstsiteguide.com/best-blogging-platforms/" data-essb-twitter-url="https://firstsiteguide.com/best-blogging-platforms/" data-essb-instance="1615843415"><ul class="essb_links_list"><li class="essb_item essb_link_facebook nolightbox"> <a href="https://www.facebook.com/sharer/sharer.php?u=https://firstsiteguide.com/best-blogging-platforms/&amp;t=Best+Blogging+Sites+and+Platforms+in+2021" title="" onclick="if (!window.__cfRLUnblockHandlers) return false; essb_window('https://www.facebook.com/sharer/sharer.php?u=https://firstsiteguide.com/best-blogging-platforms/&amp;t=Best+Blogging+Sites+and+Platforms+in+2021','facebook','1615843415'); return false;" target="_blank" rel="nofollow noopener"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="28" height="28" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:twitter" data-width="28" data-height="28"><path d="M5 35.762c1.929 1.067 15.891 9.115 25.82 2.912c9.928-6.203 9.38-16.89 9.38-21.788c.9-1.884 2.8-2.842 2.8-7.942c-1.866 1.724-3.721 2.31-5.565 1.76c-1.806-2.754-4.291-3.973-7.456-3.655c-4.746.477-6.482 5.133-5.971 11.158c-7.318 3.7-13.056-2.683-16.014-7.503c-.988 3.796-1.94 8.354 0 13.395c1.294 3.362 4.405 6.203 9.331 8.526C12.332 35.33 8.224 36.377 5 35.762z" fill="#2F88FF" stroke="#000" stroke-width="4" stroke-linejoin="round"></path></svg><span class="essb_network_name">Facebook</span></a></li>
					<li class="essb_item essb_link_twitter nolightbox"> <a href="#" title="" onclick="if (!window.__cfRLUnblockHandlers) return false; essb_window('https://twitter.com/intent/tweet?text=Best+Blogging+Sites+and+Platforms+in+2021&amp;url=https://firstsiteguide.com/best-blogging-platforms/&amp;counturl=https://firstsiteguide.com/best-blogging-platforms/','twitter','1615843415'); return false;" target="_blank" rel="nofollow noopener"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="28" height="28" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:facebook" data-width="34" data-height="34"><path d="M36 12.6h-6.013c-1.086 0-1.967.88-1.967 1.967v6.9H36l-1.169 7.597h-6.81V43h-8.776V29.064H12v-7.597h7.151l.094-7.21l-.013-1.31A7.868 7.868 0 0 1 27.099 5H36v7.6z" fill="#2F88FF" stroke="#000" stroke-width="3.8" stroke-linejoin="round"></path></svg><span class="essb_network_name">Twitter</span></a></li><li class="essb_item essb_link_linkedin nolightbox"> <a href="http://www.linkedin.com/shareArticle?mini=true&amp;ro=true&amp;trk=EasySocialShareButtons&amp;title=Best+Blogging+Sites+and+Platforms+in+2021&amp;url=https://firstsiteguide.com/best-blogging-platforms/" title="" onclick="if (!window.__cfRLUnblockHandlers) return false; essb_window('http://www.linkedin.com/shareArticle?mini=true&amp;ro=true&amp;trk=EasySocialShareButtons&amp;title=Best+Blogging+Sites+and+Platforms+in+2021&amp;url=https://firstsiteguide.com/best-blogging-platforms/','linkedin','1615843415'); return false;" target="_blank" rel="nofollow noopener"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--logos" width="28" height="28" preserveAspectRatio="xMidYMid meet" viewBox="0 0 512 128" data-icon="logos:linkedin" data-width="43" data-height="43"><path d="M202.057 74.971l28.252 34.743H208l-25.143-31.908v31.908h-18.286V18.286h18.286v53.76l23.223-26.332h23.314l-27.337 29.257zm-73.143-31.085a24.777 24.777 0 0 0-20.205 10.971v-9.143h-17.28v64h18.285V79.817a15.909 15.909 0 0 1 15.177-17.646c10.606 0 12.252 10.423 12.252 17.646v29.897h18.286v-33.92c0-20.114-6.675-31.908-26.149-31.908h-.366zm163.657 35.291c.07 1.34.07 2.683 0 4.023h-48v.64a16.366 16.366 0 0 0 16.732 13.074a22.949 22.949 0 0 0 16.823-6.308l12.16 9.143a39.406 39.406 0 0 1-29.715 11.794a31.909 31.909 0 0 1-33.828-34.286a32.731 32.731 0 0 1 34.377-33.371c17.189 0 31.451 12.16 31.451 35.291zm-17.005-7.863a13.349 13.349 0 0 0-14.537-12.8c-8.04-.869-15.321 4.794-16.458 12.8h30.995zM18.286 18.286H0v91.428h54.857V91.43H18.286V18.286zm329.143 0h18.285v91.428h-17.28v-6.4a22.309 22.309 0 0 1-18.285 8.229a31.177 31.177 0 0 1-30.263-33.829a30.72 30.72 0 0 1 30.171-33.828a23.954 23.954 0 0 1 17.372 6.4v-32zm1.371 59.428A14.903 14.903 0 0 0 333.989 60.8c-8.747.635-15.375 8.157-14.903 16.914c-.472 8.757 6.156 16.28 14.903 16.915A14.903 14.903 0 0 0 348.8 77.714zM73.143 16.457A11.611 11.611 0 0 0 61.714 27.43c0 6.311 5.117 11.428 11.429 11.428S84.57 33.74 84.57 27.43a11.611 11.611 0 0 0-11.428-10.972zM64 109.714h18.286v-64H64v64zM512 9.143v109.714a9.143 9.143 0 0 1-9.143 9.143H393.143a9.143 9.143 0 0 1-9.143-9.143V9.143A9.143 9.143 0 0 1 393.143 0h109.714A9.143 9.143 0 0 1 512 9.143zm-91.429 36.571h-18.285v64h18.285v-64zm2.286-18.285c0-6.312-5.117-11.429-11.428-11.429C405.117 16 400 21.117 400 27.429c0 6.311 5.117 11.428 11.429 11.428c6.311 0 11.428-5.117 11.428-11.428zm70.857 48.365c0-20.114-6.674-31.908-26.148-31.908a24.777 24.777 0 0 0-20.572 10.971v-9.143h-17.28v64H448V79.817a15.909 15.909 0 0 1 15.177-17.646c10.606 0 12.252 10.423 12.252 17.646v29.897h18.285v-33.92z" fill="#0A66C2"></path></svg>
						<span class="essb_network_name">LinkedIn</span></a></li><li class="essb_item essb_link_mail nolightbox"> <a href="#" title="" onclick="if (!window.__cfRLUnblockHandlers) return false; essb_open_mailform('1615843415'); return false;" target="_blank" rel="nofollow noopener"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--icon-park" width="28" height="28" preserveAspectRatio="xMidYMid meet" viewBox="0 0 48 48" data-icon="icon-park:email-block" data-width="28" data-height="28"><g fill="none" stroke-width="4"><path d="M44 35V9H4v28h22" stroke="#000" stroke-linecap="round" stroke-linejoin="round"></path><circle cx="35" cy="35" r="9" fill="#2F88FF" stroke="#000"></circle><path d="M37 33l-4 4" stroke="#fff" stroke-linecap="round" stroke-linejoin="round"></path><path d="M4 9l20 13L44 9" stroke="#000" stroke-linecap="round" stroke-linejoin="round"></path></g></svg><span class="essb_network_name">Email</span></a></li></ul></div></div></div>
						<div class="col-xl-8 col-xxl-6"><div class="screen__author"><div class="screen__author-image"> <noscript><img src="ANUVAB.jpg" alt="Anuvab Sen" width="40" height="40" /></noscript><img class=" lazyloaded" src="86418113.jpg" data-src="86418113.jpg" alt="Anuvab Sen" width="40" height="40"></div><div class="screen__author-info"><div class="screen__author-name">by <a href="https://www.iiests.ac.in/">Anuvab Sen</a></div><div class="screen__author-update">Updated: August 7th, 2021</div><div class="screen__author-read">12 min read</div></div></div></div></div></div></section>
						<div class="content-body"><div class="container"><div class="row"><div class="col-3 d-none d-xl-block"><div class="disclaimer pr-xl-4 pr-xxl-0">© IIEST, Shibpur Courtesy: Mr. Anuvab Sen, Student, Electronics and Telecommunication Engg. Dept., 2020
. <a href="">Read More</a></div></div>
<div class="col-lg-8 col-xl-6 offset-lg-2 offset-xl-0"><ul class="breadcrumbs"><li class="breadcrumbs__item" data-content="Home"><a href="/">Home</a></li><li class="breadcrumbs__item" data-content="Rescources">
	<a href="">Rescources </a></li><li class="breadcrumbs__item" data-content="Blogs"><span>Blogs</span></li></ul>
<div class="full-post">
<div class="post__image">
<img src="free-images-for-blogs.jpg" class="dont-lazy-me" alt=""></div><div class="full-post__content"><div class="content-text"><p>Are you planning to look a blog this can inspire you</p><p>You are not alone. In fact, the most common question I before started to blog i was going asked is – <strong>Which is the best way to write a blog for little beginners?</strong></p><p>When I started blogging in 2021, I wondered the same thing now i enjoy blogging nices</p><div id="" class="gutenberg-info-block"><p>Hi there, my name is Anuvab Sen.</p><p> I am a 1st Year undergrad at IIEST Shibpur. My life is built around principles( Sounds aristrocatic? Serious? ), which I refactor with every new experience in the world.ing in Electronics Engineering Dept has taught me how to manage tough schedules( Academics ) with things that also matter ( Competitive Programming, Building Stuff, My StartUp Ideas ). Using my principled approach, My target is to manage and achieve decent Coding Skill despite the hellish schedule of Department</p><p><strong>P.S.</strong>&nbsp;If you have any questions, feel free to <a href="" target="_blank" rel="noreferrer noopener">contact us</a> for any assistance.
</p></div><p><em><strong>Disclosure</strong> I strongly believe that Reality is Negotiable and that one needs to be Bold to change the general perception. (e.g. <a href="https://anuvabsen.github.io/FINAL_ME/" target="_blank" rel="noreferrer noopener">anuvab sen.com</a> blogging platform).</em></p><div id="" class="gutenberg-border-block "><p class="has-text-align-center"><strong><span class="has-inline-color has-luminous-vivid-orange-color">EDUCATION</span></strong>
</p><p class="has-text-align-center">Timeline</p><div id="" class="gutenberg-service-items">
	<a class="gutenberg-service-item-wrap" href="" target="_blank"><div class="table-responsive"><div class="table-wrap"><table class="gutenberg-service-item"><tbody><tr><td class="gutenberg-service-name"><div class="gutenberg-service-name-wrap"> <noscript><img class="special-img" src="https://firstsiteguide.com/wp-content/uploads/2020/11/wordpress-org-small-logo.jpg" alt="WordPress.org"></noscript><img class="lazyload special-img" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="logo.png" alt="WordPress.org"><div class="gutenberg-service-title">St.James.School</div></div></td><td class="gutenberg-service-descr"> ICSE 2018:-92%</td><td class="gutenberg-service-links"> <object> <a class="gutenberg-service-button" href="https://firstsiteguide.com/start-blog/#starting-blog-on-wordpress" target="_blank"> Visit St.James.School </a> <a href="http://stjamesschoolkolkata.com/" target="_blank"> My experience </a> </object></td></tr></tbody></table></div></div> </a> <a class="gutenberg-service-item-wrap" href="https://firstsiteguide.com/wix/" target="_blank" rel="nofollow"><div class="table-responsive"><div class="table-wrap"><table class="gutenberg-service-item"><tbody><tr><td class="gutenberg-service-name"><div class="gutenberg-service-name-wrap">
	<noscript><img class="special-img" src="logo.png" alt="Medium.com"></noscript><img class="lazyload special-img" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="logo.png" alt="Medium.com"><div class="gutenberg-service-title">St.James.School</div></div></td><td class="gutenberg-service-descr"> ISC:-2020</td><td class="gutenberg-service-links"> <object> <a class="gutenberg-service-button" href="https://firstsiteguide.com/wix/" target="_blank" rel="nofollow"> Visit St.James.School </a> </object></td></tr></tbody></table></div></div> </a> <a class="gutenberg-service-item-wrap" href="https://wordpress.com/create-blog/?aff=4236" target="_blank" rel="nofollow"><div class="table-responsive"><div class="table-wrap"><table class="gutenberg-service-item"><tbody><tr><td class="gutenberg-service-name"><div class="gutenberg-service-name-wrap"> <noscript><img class="special-img" src="https://firstsiteguide.com/wp-content/uploads/2020/11/wordpress-com-small-logo_.jpg" alt="WordPress.com"></noscript><img class="lazyload special-img" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="download.png" alt="WordPress.com">
		<div class="gutenberg-service-title">IIEST Shibpur</div></div></td>
		<td class="gutenberg-service-descr"> College life i am a sophomore everyone</td>
		<td class="gutenberg-service-links"> <object> <a class="gutenberg-service-button" href="" target="_blank" rel="nofollow"> Visit IIEST Shibpur </a>
		<a href="" target="_blank"> My experience </a> </object></td></tr></tbody></table></div></div> </a></div></div>
		<p>This has been a venture by us to create a blog website where we record our blogs then post them there.</p>
		<h2 data-anchor-id="heading-anchor-0">Few of our Blogs Published</h2>
		<p>Let’s take a look at some of the best blogs written by us today.</p>
		<ol id="" class="gutenberg-service-link-list">
			<li class="gutenberg-service-link-item"> <a href="#wordpress-org"> <span class="gutenberg-service-link"> Arduino </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Object Distance Sensors </span> </a></li><li class="gutenberg-service-link-item"> <a href="#wordpress-com"> <span class="gutenberg-service-link"> WordPress.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Best free blogging platform </span> </a></li>
			<li class="gutenberg-service-link-item"> <a href="#blogger"> <span class="gutenberg-service-link"> Blogger.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Publishing platform by Google </span> </a></li>
			<li class="gutenberg-service-link-item"> <a href="#wix"> <span class="gutenberg-service-link"> Wix.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Best blog website builder for beginners </span> </a></li><li class="gutenberg-service-link-item"> <a href="#weebly"> <span class="gutenberg-service-link"> Weebly.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Plain drag and drop builder functions </span> </a></li><li class="gutenberg-service-link-item"> <a href="#medium"> <span class="gutenberg-service-link"> Medium.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Simple platform for writing </span> </a></li><li class="gutenberg-service-link-item"> <a href="#typepad"> <span class="gutenberg-service-link"> Typepad.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Best for businesses and journalists </span> </a></li><li class="gutenberg-service-link-item"> <a href="#tumblr"> <span class="gutenberg-service-link"> Tumblr.com </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Best microblogging site </span> </a></li><li class="gutenberg-service-link-item"> <a href="#postach"> <span class="gutenberg-service-link"> Postach.io </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Blogging powered by Evernote </span> </a></li><li class="gutenberg-service-link-item"> <a href=""> <span class="gutenberg-service-link"> Ghost.org </span> <span class="gutenberg-service-link-delimiter"></span> <span class="gutenberg-service-link-descr"> Best WordPress alternative </span> </a></li></ol><p>Blogs are informal articles written for the purpose of showing thought leadership and expertise on a topic.When you create a blog post this creates one more indexed page on your website, meaning it’s one more opportunity for you to show up in search engines and drive traffic to your website

</p><hr class="wp-block-separator"><h3 id="" class="gutenberg-service-heading" data-number="1"> <a href="" target="_blank"> Arduino </a> — Object Distance Sensors
</h3><figure class="wp-block-image"><noscript><img src="Arduino.jpg" alt="WordPress.org homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="arduino_logo_1200x630-01.png" alt="WordPress.org homepage"></figure><p>The SEN136B5B is an ultrasonic range finder from Seeedstudio. It detects the distance of the closest object in front of the sensor (from 3 cm up to 400 cm). It works by sending out a burst of ultrasound and listening for the echo when it bounces off of an object. It pings the obstacles with ultrasound. The Arduino board sends a short pulse to trigger the detection, then listens for a pulse on the same pin using the pulseIn() function. The duration of this second pulse is equal to the time taken by the ultrasound to travel to the object and back to the sensor. Using the speed of sound, this time can be converted to distance. – <a href="https://www.arduino.cc/en/Tutorial/BuiltInExamples/Ping" target="_blank" rel="noreferrer noopener">Ping Ultrasonic Range Finder</a>.</p><p>Hardware Required

</p><ul id="block-694fe30e-4ba5-49ba-b1bf-d3cf2120fb1a">
<li>Arduino Board</li>
<li>Ultrasonic Range Finder</li>
<li>Hook Up Wires</li>
</ul>
<p></p>

</p><figure class="wp-block-image"><noscript><img src="Arduino.jpg" alt="WordPress.org homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="CIRCUIT.png" alt="WordPress.org homepage"></figure><p>

</p>
<p>The 5V pin of the SEN136B5B is connected to the 5V pin on the board, the GND pin is connected to the GND pin, and the SIG (signal) pin is connected to digital pin 7 on the board <a href="" target="_blank" rel="noreferrer noopener">to complete the closed circuit</a> and thus now the sensor is ready to work.</p>
<div id="" class="gutenberg-border-block "><h3>Key features</h3><ul id="block-694fe30e-4ba5-49ba-b1bf-d3cf2120fb1a">
<li><strong>Hardware System Requirements</strong></li>
<li><strong>Open Source Code</strong></li>
<li><strong>That Schematic Diagram</strong></li>
</ul>

</div>
<div class="gutenberg-read-more">
<div class="gutenberg-read-more-left">Read more:</div>
<div class="gutenberg-read-more-right"> <a href="https://create.arduino.cc/example/builtin/06.Sensors%5CPing/Ping/preview" target="_blank"> Ultrasonic Range finder from Seeedstudio </a></div></div><div id="" class="gutenberg-info-block"><p>Every tinkerer worth their salt knows Arduino. A notable family of microcontrollers, Arduino makes an ideal “brain” for any DIY project that requires an electronically controlled action <a href="" target="_blank" rel="noreferrer noopener nofollow">Arduino</a>, They’re reliable, open-source, efficient, and affordable and as such, there are plenty of projects out there that specifically call for an Arduino – Arduino’s Project Hub database alone counts over 6,300</p><p>I was able to negotiate a special deal only for my visitors, that includes:</p><ul><li><strong>Arduino Main Instrument</strong></li><li><strong>Basic Coding Skill</strong></li><li><strong>Basic Hardware Skil</strong></li></ul><p><a href="" target="_blank" rel="noreferrer noopener nofollow">→ Arduino Is the best Machine ←</a></p></div><div class="gutenberg-read-more"><div class="gutenberg-read-more-left">Read more:</div><div class="gutenberg-read-more-right"> <a href="https://create.arduino.cc/example/builtin/06.Sensors%5CPing/Ping/preview" target="_blank"> Open Source Codes </a></div></div><p></p><hr class="wp-block-separator"><h3 id="wordpress-com" class="gutenberg-service-heading" data-number="2"> <a href="https://wordpress.com/create-blog/?aff=4236" target="_blank" rel="nofollow"> WordPress.com </a> — Best free blogging platform</h3><div class="wp-block-image"><figure class="aligncenter size-large"><noscript><img width="1024" height="490" src="Arduino.jpg" alt="wp com blog page" class="wp-image-6099" srcset="https://firstsiteguide.com/wp-content/uploads/2021/01/wpcom-blog-page-1024x490.jpg 1024w, https://firstsiteguide.com/wp-content/uploads/2021/01/wpcom-blog-page-300x143.jpg 300w, https://firstsiteguide.com/wp-content/uploads/2021/01/wpcom-blog-page-768x367.jpg 768w, https://firstsiteguide.com/wp-content/uploads/2021/01/wpcom-blog-page-1536x734.jpg 1536w, https://firstsiteguide.com/wp-content/uploads/2021/01/wpcom-blog-page.jpg 1688w" sizes="(max-width: 1024px) 100vw, 1024px" /></noscript><img width="1024" height="490" src="Arduino.jpg" data-src="Arduino.jpg" alt="wp com blog page" class="lazyload wp-image-6099" data-srcset="Arduino.jpg" ,="" arduino.jpg="" 300w,="" https:="" firstsiteguide.com="" wp-content="" uploads="" 2021="" 01="" wpcom-blog-page-768x367.jpg="" 768w,="" wpcom-blog-page-1536x734.jpg="" 1536w,="" wpcom-blog-page.jpg="" 1688w"="" data-sizes="(max-width: 1024px) 100vw, 1024px"></figure></div><p>WordPress.com is a hosted version of the open-source platform WordPress.org. It is a commercial project that offers a free trial plan with upgrades for premium plans and custom domains. According to our <a href="https://firstsiteguide.com/blogging-industry-survey/" target="_blank" rel="noreferrer noopener">survey</a>, it’s one of the most popular hosted blogging platforms out there. If you are an absolute beginner with no technical knowledge, but you want to build your blogging site, WordPress.com is the perfect site for you. I recommend this software to all new bloggers as a good starting point.</p><div class="gutenberg-read-more"><div class="gutenberg-read-more-left">Read more:</div><div class="gutenberg-read-more-right"> <a href="https://firstsiteguide.com/wordpress-blog/#setup-blog-with-wordpress" target="_blank"> How to Set Up a Blog with WordPress.com </a></div></div><p></p><p>The online publishing software is free to use (but your domain name will be formed as a subdomain and look like this – yourblogname.wordpress.com), and you can test it out after you create an account on the WordPress.com site. This gives you a unique opportunity to try the best blogging platform and blog for free before you decide to upgrade for premium plans. With the upgrade, you will be able to set up a domain and use the advanced features.</p><p>The WordPress site often rolls out new features and updates to continually enhance the user experience.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Custom domains</strong> – free domain for one year, available for paid plans on WordPress.com.</li><li><strong>Get traffic stats</strong> – determine what your visitors find engaging.</li><li><strong>Create media galleries</strong> – integrate images and videos with the drag &amp; drop option.</li><li><strong>Social media integration</strong> – share your posts on social platforms automatically.</li><li><strong>Comprehensive SEO tools</strong> – help your readers find you easily.</li><li><strong>Variety of personalized themes</strong> – with new themes being added every week.</li><li><strong>Mobile-responsive blog sites</strong> – select from several mobile-responsive themes.</li></ul></div> <a class="gutenberg-service-button green" href="https://wordpress.com/create-blog/?aff=4236" target="_blank" rel="nofollow"> Visit WordPress.com for additional information</a><h3 id="blogger" class="gutenberg-service-heading" data-number="3"> <a href="https://www.blogger.com/" target="_blank"> Blogger.com </a> — Publishing platform by Google</h3><p></p><figure class="wp-block-image"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_blogger-1.jpg" alt="Blogger homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_blogger-1.jpg" alt="Blogger homepage"></figure><p>Blogger is one of the best free blogging platforms that offer a secure and reliable way to create a blog.</p><p>This hosted blog platform was launched in 1999 and later acquired by Google. You don’t need a hosting provider to start using it. All you need to do is log in using a Google account – you’ll be asked to follow the simple guidelines provided on the Blogger to make a blog for free. There’s no need for technical knowledge or coding experience as the site is quite intuitive in design and setup. It remains a widely used solution; however, I see more people <a href="https://firstsiteguide.com/move-blogger-to-wordpress/" target="_blank" rel="noreferrer noopener">moving away from it</a>. The good news is that the platform is free, and you can test it without any commitment. Let’s take a look at some pros and cons of this blog site.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Free or custom domain</strong> – free subdomain via blogspot.com or buy your own domain name.</li><li><strong>Easy to use templates </strong>– focus on the design of your blog using flexible layouts and background images.</li><li><strong>Featured ads </strong>– monetize by integrating with Google AdSense.</li><li><strong>Analytics</strong> – assess your blog’s traffic and see the content getting the most visits.</li><li><strong>Secure storage</strong> – store your media files with Google.</li></ul></div>
 <a class="gutenberg-service-button green" href="https://www.blogger.com/" target="_blank" rel="nofollow"> Visit Blogger.com for additional information </a><h3 id="wix" class="gutenberg-service-heading" data-number="4"> <a href="https://firstsiteguide.com/wix" target="_blank" rel="nofollow"> Wix.com </a> — Best blog website builder for beginners</h3><figure class="wp-block-image"><a class="" href="https://firstsiteguide.com/wix" target="_blank" rel="no follow noopener noreferrer"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/04/rsz_wix-1.jpg" alt="Wix homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/04/rsz_wix-1.jpg" alt="Wix homepage"></a></figure><p>Recently, they’ve been tapping into the blogging vertical with a specific blog website builder offer. You don’t need any prior coding experience or web development expertise to <a href="https://firstsiteguide.com/how-to-make-wix-website/" target="_blank" rel="noreferrer noopener">build a website or blog with Wix</a>.&nbsp;</p><p>It’s simple to control and maintain blog sites with Wix. You can select a pre-made theme from their resources or customize an existing one according to your taste. In addition to stunning templates, here are <a href="https://firstsiteguide.com/wix-websites-examples/" target="_blank" rel="noreferrer noopener">examples of some great Wix sites</a>. The <a href="https://firstsiteguide.com/wix-review/" target="_blank" rel="noreferrer noopener">Wix platform</a> also packs the power of these amazing features</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Customizable templates</strong> – select a prototype and personalize it according to your blog’s theme.</li><li><strong>Mobile-responsive</strong> – mobile editor makes blogs <a href="https://firstsiteguide.com/mobile-friendly/" target="_blank" rel="noreferrer noopener">mobile-friendly</a>.</li><li><strong>SEO Optimization</strong> – create a personalized SEO plan to rank your blog.</li><li><strong>Freedom to design</strong> – drag and drop editor to customize any part of the site.</li><li><strong>Third-party integrations</strong> – integrate apps without coding skills.</li><li><strong>Comprehensive site builder</strong> – building and maintenance need in one place.</li></ul></div> <a class="gutenberg-service-button green" href="https://firstsiteguide.com/wix" target="_blank" rel="nofollow"> Visit Wix.com for additional information</a><h3 id="weebly" class="gutenberg-service-heading" data-number="5"> <a href="http://shareasale.com/r.cfm?b=366125&amp;u=1005966&amp;m=37723&amp;urllink=&amp;afftrack=" target="_blank" rel="nofollow"> Weebly.com </a> — Plain drag and drop builder functions</h3><figure class="wp-block-image"><a class="" href="http://shareasale.com/r.cfm?b=366125&amp;u=1005966&amp;m=37723&amp;urllink=&amp;afftrack=" target="_blank" rel="no follow noopener noreferrer"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/04/rsz_weebly-1.jpg" alt="Weebly homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/04/rsz_weebly-1.jpg" alt="Weebly homepage"></a></figure><p>Weebly is a simple yet <a href="https://firstsiteguide.com/best-website-builders/" target="_blank" rel="noreferrer noopener">powerful website builder</a> with a blog set up option available via an easy drag and drop editor.</p><p>In 2018 Weebly was acquired by Square, a mobile payment company. This change is a sign that their focus is mainly around websites, particularly <a href="https://firstsiteguide.com/start-ecommerce-business/" target="_blank" rel="noreferrer noopener">eCommerce</a> and small business sites. However, the platform offers <a href="https://www.weebly.com/features/start-a-blog?lang=en" target="_blank" rel="noreferrer noopener">blogging services</a>, and anyone can try it for free.</p><p>Weebly gives you complete freedom to build your blog using beautiful themes with builder functionality. There’s also a free built-in hosting provider that ensures fast loading time for your website. All in all, the <a href="https://firstsiteguide.com/weebly-review/" target="_blank" rel="noreferrer noopener">Weebly platform</a> gives the right tools that work in combination with powerful features to create a blog in minutes.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Drag and drop website builder</strong> – create your blog with powerful tools.</li><li><strong>Media management</strong> – gather images and create your galleries.</li><li><strong>Free personalized templates</strong> – alterable professionally designed templates.</li><li><strong>Search engine optimization</strong> – SEO tools to rank your website.</li><li><strong>App collection</strong> – multiple apps and third-party integrations that add functionality.</li><li><strong>Social media sharing</strong> – RSS integration to share content on social networks.</li></ul></div>
	 <a class="gutenberg-service-button green" href="http://shareasale.com/r.cfm?b=366125&amp;u=1005966&amp;m=37723&amp;urllink=&amp;afftrack=" target="_blank" rel="nofollow"> Visit Weebly.com for additional information </a><h3 id="medium" class="gutenberg-service-heading" data-number="6"> <a href="https://medium.com/" target="_blank"> Medium.com </a> — Simple platform for writing</h3><figure class="wp-block-image"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/05/medium.jpg" alt="Medium homepage"/>
	 </noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/05/medium.jpg" alt="Medium homepage"></figure><p>Medium is different from the rest of the free blogging sites. It offers a no-frills approach to content publishing as it allows bloggers to write what they are passionate about without having to worry about coding, design, domain, or other issues.</p><p>I wouldn’t use Medium as a primary blogging platform. You can use it as an additional channel to share your content; for example, you can repurpose content from your existing blog post and post it on Medium. That’s how most professional bloggers use it.</p><p>You can post stories for the vast community of readers that visit Medium and get appreciation and feedback from them. It is also possible to connect with avid readers who are willing to pay for quality content through the Medium Partner Program. This way, you can monetize your blog posts while sharing your ideas and opinions with the world.</p><p>To start blogging with Medium, sign up, and share your content with the editorial team who analyze them according to their standards. If you create quality content that follows their guidelines you can start earning money by attracting subscribers.</p><a class="gutenberg-service-button green" href="https://medium.com/" target="_blank" rel="nofollow"> Visit Medium.com for additional information</a><h3 id="typepad" class="gutenberg-service-heading" data-number="7"> <a href="http://www.typepad.com/" target="_blank"> TypePad.com </a> — Best for businesses and journalists</h3><figure class="wp-block-image"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_typepad-1.jpg" alt="TypePad homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_typepad-1.jpg" alt="TypePad homepage"></figure><p>TypePad is a blogging platform that was launched in 2003. It has a simple and user-friendly interface and offers exceptional customer support.</p><p>I don’t know of many successful blogs that are running on this platform. However, one that comes to mind is a blog by Seth Godin. Seth used to run it with the subdomain sethgodin.typepad.com (<a href="https://web.archive.org/web/20180103012915/http://sethgodin.typepad.com/" target="_blank" rel="noreferrer noopener">archive link</a>) but some time ago changed it to the custom domain <a href="https://seths.blog/" target="_blank" rel="noreferrer noopener">seths.blog</a>.</p><p>TypePad offers various design tools that breathe life into your blogs so that you can captivate your readers visually. It’s your choice to monetize with ads and services or not. Additionally, you don’t need to worry about any technicalities with this software as it is fully hosted.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Flexible publishing</strong> – write and publish from any device.</li><li><strong>Google Analytics integration</strong> – analyze your audience engagement.</li><li><strong>Theme builder</strong> – build your site’s theme from scratch.</li><li><strong>Stunning templates</strong> – select beautiful themes and make them even better with design tools.</li><li><strong>Built-in tools </strong>– get noticed through social networks and search engine rankings.</li></ul></div>
<a class="gutenberg-service-button green" href="https://www.typepad.com/" target="_blank" rel="nofollow"> Visit typepad.com for additional information</a>
   <br>
<h3 id="tumblr" class="gutenberg-service-heading" data-number="8"> <a href="https://www.tumblr.com/" target="_blank"> Tumblr.com </a> — The best microblogging site</h3><figure class="wp-block-image"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_tumblr-1.jpg" alt="Tumblr homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_tumblr-1.jpg" alt="Tumblr homepage"></figure><p>Founded in 2007, Tumblr is a microblogging platform and social media website joined together. Tumblr’s main focus is on multimedia and short-form content. If you are a writer and planning to write longer-form content, I wouldn’t recommend starting with Tumblr. It’s often used as a social network site because you can integrate a variety of media files such as photos, videos, and audio files You can also embellish your blog with GIFS, stickers, and some text. Users have the option of designing their Tumblr page with customizable themes, fonts, layouts, and many other design options.</p><p>Tumblr is ideal for bloggers who have a heightened focus on visual content. It is a global site that is visited by millions of people every day who repost their favorite blog posts and initiate conversations.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Custom domains</strong> – choose a domain name composed of 64 characters or less.</li><li><strong>Export tool</strong> – gathers your content in a ZIP file to export.</li><li><strong>Password-protection</strong> – blogs can only be viewed through the correct password.</li><li><strong>Customized themes</strong> – the ability to personalize anything you set your eyes on.</li><li><strong>Social media integration</strong> – share your Tumblr posts on social platforms.</li></ul></div>
<a class="gutenberg-service-button green" href="https://www.tumblr.com/" target="_blank" rel="nofollow"> Visit Tumblr.com for additional information</a><h3 id="postach" class="gutenberg-service-heading" data-number="9"> <a href="https://postach.io/site" target="_blank"> Postach.io </a> — Blogging powered by Evernote</h3><figure class="wp-block-image"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/05/postachio.jpg" alt="Postach.io homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/05/postachio.jpg" alt="Postach.io homepage"></figure><p>Postach.io is a blogging platform powered by Evernote, and it enables you to convert your notes into blogs.</p><p>To sign up with Postach.io, you need to register a new account, or use an existing Evernote account. You’ll need to install Evernote and then integrate it with Postach.io to connect your notes. It is a convenient way to enter the blogosphere. Users are able to use the dashboard to personalize their blogging website according to their taste and write blogs on the go with Evernote.</p><p>You can set up a free blog with this software, but if you want a custom domain, subscribe to a paid package. Postach.io also offers a collection of free and premium themes to help you create a visually appealing blog.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Add images</strong> – insert pictures to engage your readers.</li><li><strong>Evernote sync </strong>– integrate notebooks with Postach.io.</li><li><strong>Site editor </strong>– customize your blog site through a robust dashboard.</li><li><strong>Custom domains</strong> – optimize your site with a paid custom domain.</li><li><strong>Visual content</strong> – insert a <a href="https://firstsiteguide.com/make-logo/" target="_blank" rel="noreferrer noopener">logo</a> or avatar to personalize your blog.</li></ul></div><div id="" class="gutenberg-service-plan"><a class="gutenberg-service-button green" href="" target="_blank" rel="nofollow"> Visit Ghost.org for additional information</a></div></p>
<h3 id="ghost" class="gutenberg-service-heading" data-number="10"> <a href="https://ghost.org/" target="_blank"> Ghost.org </a> — Best WordPress alternative</h3><figure class="wp-block-image"><noscript><img src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_ghost-1.jpg" alt="Ghost homepage"/></noscript><img class="lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20210%20140%22%3E%3C/svg%3E" data-src="https://firstsiteguide.com/wp-content/uploads/2020/05/rsz_ghost-1.jpg" alt="Ghost homepage"></figure><p>Ghost is an open-source blogging platform meant for journalists, editors, and writers. The product was launched in 2013 through a successful <a href="https://www.kickstarter.com/projects/johnonolan/ghost-just-a-blogging-platform" target="_blank" rel="noreferrer noopener">Kickstarter campaign</a> (and it’s a good alternative to the best blogging platform – WordPress)&nbsp;</p><p>You can be in control of the design of your blog and the kind of experience you want to create for your readers. There are absolutely no rules when it comes to this tool – no limits on customizations or social media restrictions. Sign up to get started and publish your content for a vast audience as you target readers through email newsletters and monetize your written pieces through Ghost’s premium plans.</p><p>You can benefit from a collection of publishing tools perfect for professionals who want complete control over their site. These tools allow you to code and add functionality to your blog using modern technology.</p><p>Also, Ghost is fully managed through state-of-the-art cloud management technology and offers comprehensive developer control. Let’s take a look at the pros and cons of the platform.</p><div id="" class="gutenberg-border-block "><h4>Key features</h4><ul><li><strong>Site editor</strong> – create and embed exciting media files and content.</li><li><strong>Content management</strong> – complete control over the content.</li><li><strong>Posts scheduling</strong> – create an editorial calendar to stay ahead of time.</li><li><strong>Powerful SEO tools</strong> – comprehensive SEO features for high rankings.</li><li><strong>Simple templates</strong> – use Handlebars stunning templates to build your blog.</li><li><strong>Automatic backups</strong> – never lose data with off-site location backups.</li></ul></div><div id="" class="gutenberg-service-plan"><a class="gutenberg-service-button green" href="" target="_blank" rel="nofollow"> Visit Ghost.org for additional information</a></div></p>
<h2 data-anchor-id="heading-anchor-6">Conclusion</h2>
<p>Since the advent of blogs, the number of online journals has significantly increased worldwide. Private bloggers write down their own thoughts and share their ideas and experiences with their readers.</p><p>Amateur and professional copywriters develop blogs on particular topics and make a name for themselves.</p><p>Conclusion about blogging</p></div></div></div>

<div class="comments"><h3 id="comments"> Authors comments on <span>“That Blogging Sites”</span></h3>
	<div class="navigation"><div class="alignleft"></div><div class="alignright"></div></div><ol class="commentlist"><li class="comment even thread-even depth-1 parent" id="comment-65119"><div class="comment-body" id="div-comment-65119"><div class="comment-author vcard">Anuvab Sen</div><div class="comment-meta commentmetadata"> <a href="https://firstsiteguide.com/best-blogging-platforms/#comment-65119">August 7th, 2021 at 10:44 pm </a></div><div class="comment-text"><p>Anuvab,<br>  Blogging refers to writing, photography, and other media that's self-published online. Blogging started as an opportunity for individuals to write diary-style entries, but it has since been incorporated into websites for many businesses.<br> Thanks.</p></div></div></li><li class="comment even thread-even depth-1 parent" id="comment-3923">
		<div class="comment-body" id="div-comment-3923">
		<div class="comment-author vcard">Udayon Sen</div>
		<div class="comment-meta commentmetadata"> <a href="">August 7th, 2020 at 3:53 am </a></div><div class="comment-text">
			<p>I tried many of them, but WordPress is the easiest and the most amazing tool to create a professional blog</p></div>
			<div class="reply"> <a rel="nofollow" class="comment-reply-link" href="#comment-3932" data-commentid="3932" data-postid="1395" data-belowelement="-3932" data-respondelement="respond" data-replyto="" aria-label="">Reply</a></div></div></li>
			<li class="comment even thread-odd thread-alt depth-1 parent" id="comment-3901">
			<div class="comment-body" id="div-comment-3901"><div class="comment-author vcard">Amrita Kesh</div><div class="comment-meta commentmetadata"> <a href="">July 21, 2020 at 9:22 am </a></div><div class="comment-text">
				<p>Blogging is a great experience and is really helpful medium of exchanging emotions and information and a fine mix of both.It is indeed a great feeling.</p></div></div></li></ol>
			<div class="navigation"><div class="alignleft"></div>
			<div class="alignright"></div></div>
			<div id="respond" class="comment-respond">
				<h3 id="reply-title" class="comment-reply-title">Leave a Reply <small><a rel="nofollow" id="cancel-comment-reply-link" href="/best-blogging-platforms/#respond" style="display:none;">Cancel reply</a></small></h3>
				<form action="https://firstsiteguide.com/wp-comments-post.php" method="post" id="commentform" class="comment-form">
				<p class="comment-notes">
			<span id="email-notes">Your email address will not be published.</span>
			Required fields are marked <span class="required">*</span></p>
			<p class="comment-form-comment">
			<label for="comment">Comment</label><textarea id="comment" name="comment" size="30" maxlength="245" required="required"></textarea></p>
			<p class="comment-form-author">
			<label for="author">Name <span class="required">*</span></label>
			<input id="author" name="author" type="text" value="" size="30" maxlength="245" required="required"></p>
			<p class="comment-form-email"><label for="email">Email <span class="required">*</span></label>
			<input id="email" name="email" type="text" value="" size="30" maxlength="100" aria-describedby="email-notes" required="required"></p>
			<p class="comment-form-url">
			<label for="url">Website</label>
			<input id="url" name="url" type="text" value="" size="30" maxlength="200"></p>
			<div class="comment-form-cookies-consent">
			<div class="comment-checkbox">
			<label class="ml-0" for="wp-comment-cookies-consent">
			<input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"></label></div>
			<label for="wp-comment-cookies-consent">Save my name, email, and website in this browser for the next time I comment.</label></div>
			<p class="form-submit">
			<input name="submit" type="submit" id="submit" class="submit" value="Post Comment">
			<input type="hidden" name="comment_post_ID" value="1395" id="comment_post_ID">

			<input type="hidden" name="comment_parent" id="comment_parent" value="0"></p><p style="display: none;">
			<input type="hidden" id="akismet_comment_nonce" name="akismet_comment_nonce" value="39f9ceb59a"></p>
			<textarea name="ak_hp_textarea" cols="45" rows="8" maxlength="100" style="display: none !important;"></textarea>
			<input type="hidden" id="ak_js" name="ak_js" value="1628332533752"></form></div></div></div>

			<div class="col-xl-3 pl-xl-5"><div class="anchors-wrap sidebar-sticky">
			<ul class="anchors mCustomScrollbar _mCS_1 mCS_no_scrollbar"><div id="mCSB_1" class="mCustomScrollBox mCS-dark mCSB_vertical mCSB_inside" style="max-height: none;" tabindex="0"><div id="mCSB_1_container" class="mCSB_container mCS_y_hidden mCS_no_scrollbar_y" style="position:relative; top:0; left:0;" dir="ltr">
			<div class="anchors__toggle d-xl-none">
				<noscript><img src="https://firstsiteguide.com/wp-content/themes/fsg/images/tablet.png" alt="Tablet" width="30" height="30" /></noscript>
				<img class="mCS_img_loaded ls-is-cached lazyloaded" src="https://firstsiteguide.com/wp-content/themes/fsg/images/tablet.png" data-src="https://firstsiteguide.com/wp-content/themes/fsg/images/tablet.png" alt="Tablet" width="30" height="30"></div>
				<div class="anchors__heading">Table of contents</div> <i class="icon icon-anchors-arrow-right d-xl-none"></i>
				<li class="dotted">
				   <a href="#heading-anchor-0">Education</a></li>
					 <li><a href="#heading-anchor-1">Why I started to blogging</a></li>
					 <li><a href="#heading-anchor-2">Styles of Blogs</a></li>
					 <li><a href="#heading-anchor-3">Anuvab Sen</a></li>
					 <li><a href="#heading-anchor-4">Udayon Sen</a></li>
					 <li><a href="#heading-anchor-5">Amrita Kesh</a></li>
					 <li><a href="#heading-anchor-6">Conclusion</a></li></div>
					 <div id="mCSB_1_scrollbar_vertical" class="mCSB_scrollTools mCSB_1_scrollbar mCS-dark mCSB_scrollTools_vertical" style="display: none;">
					 <div class="mCSB_draggerContainer">
					 <div id="mCSB_1_dragger_vertical" class="mCSB_dragger" style="position: absolute; min-height: 30px; height: 0px; top: 0px;">
					 <div class="mCSB_dragger_bar" style="line-height: 30px;"></div><div class="mCSB_draggerRail"></div></div></div></div></div></ul>
					 <div class="subscribe">
					<div class="nav__close subscribe__close d-xl-none">×</div>
					<div class="subscribe__toggle d-xl-none"> <svg xmlns="http://www.w3.org/2000/svg" width="208.205" height="191.662" viewBox="0 0 208.205 191.662"> <g id="Сгруппировать_2248" data-name="Сгруппировать 2248" transform="translate(10852.356 -22034.12)">
					<path id="Icon_awesome-bell" data-name="Icon awesome-bell" d="M70.323,160.737a20.089,20.089,0,0,0,20.083-20.092H50.24A20.089,20.089,0,0,0,70.323,160.737Zm67.62-47c-6.065-6.517-17.414-16.322-17.414-48.438,0-24.393-17.1-43.92-40.166-48.711V10.046a10.04,10.04,0,1,0-20.08,0v6.543C37.221,21.379,20.118,40.906,20.118,65.3c0,32.116-11.349,41.92-17.414,48.438A9.809,9.809,0,0,0,0,120.553,10.055,10.055,0,0,0,10.078,130.6h120.49a10.053,10.053,0,0,0,10.077-10.046A9.8,9.8,0,0,0,137.942,113.737Z" transform="matrix(0.966, -0.259, 0.259, 0.966, -10837.334, 22070.521)" fill="#ffffff"></path>
					<path id="Контур_9642" data-name="Контур 9642" d="M0,1.611,25.818,46.125ZM21.43,0,39.44,28.1Z" transform="translate(-10685.696 22076.375)" fill="none" stroke="#ffffff" stroke-linecap="round" stroke-width="5"></path>
					<path id="Контур_9643" data-name="Контур 9643" d="M25.147,0,19.795,47.976ZM7.354,3.743,0,39.552Z" transform="translate(-10849.907 22117.146)" fill="none" stroke="#ffffff" stroke-width="5"></path> </g> </svg></div><div class="subscribe__heading">
					<noscript><img src="https://firstsiteguide.com/wp-content/themes/fsg/images/bell.png" alt="Bell emoji" width="28" height="28" /></noscript>

					<img class=" ls-is-cached lazyloaded" src="https://firstsiteguide.com/wp-content/themes/fsg/images/bell.png" data-src="https://firstsiteguide.com/wp-content/themes/fsg/images/bell.png" alt="Bell emoji" width="28" height="28">
					<span>Enter Your Mail</span></div><div class="subscribe__form">
					<div id="mc_embed_signup">
					<form class="validate" id="mc-embedded-subscribe-form" action="https://firstsiteguide.us8.list-manage.com/subscribe/post?u=98e6092de5c519894a250fb72&amp;id=b3cd7631c8" method="post" name="mc-embedded-subscribe-form" target="_blank" novalidate="novalidate">
					<div id="mc_embed_signup_scroll"><div class="mc-field-group">
					<input class="required email" id="mce-EMAIL" type="email" value="" placeholder="Enter your email" name="EMAIL" aria-required="true"></div>
					<div class="clear" id="mce-responses"><div class="response" id="mce-error-response" style="display:none"></div>
					<div class="response" id="mce-success-response" style="display:none"></div></div>

					<div style="position: absolute; left: -5000px;" aria-hidden="true">
					<input type="text" name="b_98e6092de5c519894a250fb72_b3cd7631c8" tabindex="-1" value=""></div>
					<div class="clear">
					<input class="button" id="mc-embedded-subscribe" type="submit" value="Enter" name="Enter" disabled="disabled"></div></div></form>
					<script src="//s3.amazonaws.com/downloads.mailchimp.com/js/mc-validate.js" type="text/javascript"></script>
				</div>
			  </div>
			  </div>
			  </div>
			  </div>
			  </div>
			  </div>
			  </div>
			  </main>

				<footer class="footer">
					<div class="container">
					<div class="row">
					<div class="col-xl-6 mb-5 mb-xl-0">
					<div class="row h-100">
					<div class="col-4 col-sm-3 col-xl-4">
					<div class="footer__logo">
					<noscript><img src="b.webp" alt="Logo"></noscript>
					<img class="lazyload" src="b.webp" data-src="color.webp" alt="Logo"></div>
					<nav class="footer__main-nav">
						<a href=""> About us </a>
						<a href=""> Contact us </a>
						<a href=""> Blog </a></nav>

						<div class="d-sm-none">
						<div class="footer__scl"> <a href="https://twitter.com/firstsiteguide" target="_blank" rel="nofollow"><i class="icon icon-twitter"></i></a>
						<a href="https://www.facebook.com/firstsiteguide" target="_blank" rel="nofollow"><i class="icon icon-facebook"></i></a>
						<a href="https://www.pinterest.com/firstsiteguide/" target="_blank" rel="nofollow"><i class="icon icon-pinterest"></i></a>
						<a href="https://www.youtube.com/firstsiteguide" target="_blank" rel="nofollow"><i class="icon icon-youtube"></i></a>
						<a href="https://www.instagram.com/firstsiteguide/" target="_blank" rel="nofollow"><i class="icon icon-instagram"></i></a>
						<a href="https://www.linkedin.com/company/firstsiteguide/" target="_blank" rel="nofollow"><i class="icon icon-linkedin"></i></a>
					</div>
				  </div>
				  </div>
					<div class="col-8 col-sm-7 col-xl-6">
					<div class="d-flex flex-column h-100">
					<h4 class="footer__heading">Nice Blog Website</h4>
					<div class="footer__text"> A blog is a discussion or informational website published on the World Wide Web consisting of discrete, often informal diary-style text entries (posts). Posts are typically displayed in reverse chronological order, so that the most recent post appears first, at the top of the web page. Until 2009, blogs were usually the work of a single individual occasionally of a small group, and often covered a single subject or topic.</div>
						<div class="footer__spec-link d-flex align-items-center mt-md-auto">
						<svg xmlns="http://www.w3.org/2000/svg" width="80" height="78.071" viewBox="0 0 80 78.071">
					<path id="atom" d="M71.084,89.377c13.28,0,13.2,20.291.227,20.291C57.11,109.667,57.753,89.377,71.084,89.377Zm25.672,38.918a11.932,11.932,0,0,1-2.242,1.584l-.762-4.744c.03-.026.064-.049.095-.076,3.434-3.089,3.537-8.33,1.557-14.305a77.424,77.424,0,0,1-20.714,7.4c-1.5.319-3.024.589-4.55.83a52.187,52.187,0,0,0,8.541,5.563,6.2,6.2,0,0,1,5.609-3.082c8.487,0,8.433,12.967.144,12.967a6.208,6.208,0,0,1-6.631-5.711A60.021,60.021,0,0,1,64.355,119.7a68.448,68.448,0,0,1-11.32.123c.886,6.946,3.9,11.093,7.746,12.347,3.328,1.084,6.923-.318,10.413-3.516l3.573,2.357c-4.712,4.685-9.981,7.04-15.334,5.3-6.865-2.236-9.97-8.845-10.651-17.009-8.14-1.394-14.312-4.929-15.678-11.375a13.677,13.677,0,0,1-.3-2.739c-5.958-2.437-4.731-12.434,2.75-12.434,7.936,0,8.4,11.333,1.656,12.807a8.331,8.331,0,0,0,.147,1.464c.877,4.139,5.093,6.8,11.272,8.021A64.868,64.868,0,0,1,49.883,103.6C41.406,91.386,37.035,77.874,44.7,70.981c4.332-3.893,9.9-4.247,15.787-2.406l-1.748,3.933c-4.834-1.258-8.674-.5-11.128,1.708-4.785,4.3-2.759,13.579,3.587,23.719.381-1.418.788-2.822,1.234-4.192,3.225-9.9,8.655-20.258,15.193-26.361-1.143-3.762,1.03-8.577,6.223-8.577,8.486,0,8.433,12.967.144,12.967a7.091,7.091,0,0,1-3.8-1c-5.557,5.319-10.564,14.7-13.69,24.3-.868,2.664-1.552,5.173-2.1,7.559,1.633,2.211,3.446,4.433,5.418,6.626,1.906,2.12,3.917,4.151,5.978,6.037,2.6-.306,5.28-.742,8.014-1.322a74.512,74.512,0,0,0,20.068-7.119q-.689-1.525-1.517-3.078l2.574-4.087c.941,1.626,1.786,3.265,2.542,4.9,5.051-3.566,7.981-7.741,7.04-12.186-.951-4.488-5.379-7.2-11.477-8.481a77.437,77.437,0,0,1-3.875,21.271l-5,1.419c.3-.831.587-1.67.866-2.525a74.628,74.628,0,0,0,3.861-20.8,72.464,72.464,0,0,0-21.537,1.479c-.521.111-1,.237-1.5.352l1.454-4.7a76.376,76.376,0,0,1,21.457-1.382c-.416-4.759-1.781-8.609-4.347-10.791l.778-4.732c4.934,2.751,7.274,8.752,7.764,16.1,8.112,1.5,14.39,5.156,15.817,11.892,1.389,6.556-2.8,12.376-9.679,17.017C101.9,116.34,101.906,123.665,96.757,128.295ZM56.634,112.111c-1.133-1.259-2.236-2.56-3.3-3.89a50.237,50.237,0,0,0-.56,7.393,57.062,57.062,0,0,0,7.33.14C58.912,114.57,57.751,113.354,56.634,112.111Z" transform="translate(-29.033 -58.806)" fill="#fff" fill-rule="evenodd"></path> </svg>
					<a href="/business-name-generator/">Our Different Links</a></div>
					<div class="d-none d-xl-flex">
					<div class="footer__scl"> <a href="" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:twitter"></span></a>
					<a href="" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:facebook"></span></a>
					<a href="" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:pinterest"></span></a>
					<a href="" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:youtube"></span></a>
					<a href="" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:instagram"></span></a>
					<a href="" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:linkedin"></span></a>
          </div></div>
				  </div>
			    </div>
		      </div>
	        </div>
	<div class="col-sm-3 d-xl-none">
	<div class="d-none d-sm-flex">
	<div class="footer__scl">
		<a href="https://twitter.com/firstsiteguide" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:facebook"></span></a>
		<a href="https://www.facebook.com/firstsiteguide" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:twitter"></span></a>
		<a href="https://www.pinterest.com/firstsiteguide/" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:pinterest"></span></a>
		<a href="https://www.youtube.com/firstsiteguide" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:youtube"></span></a>
		<a href="https://www.instagram.com/firstsiteguide/" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:instagram"></span></a>
		<a href="https://www.linkedin.com/company/firstsiteguide/" target="_blank" rel="nofollow"><span class="iconify" data-icon="mdi:linkedin"></span></a>
	</div>
  </div>
  </div>
  <div class="col-sm-9 col-xl-6">
	<div class="row">
	<div class="col-sm-6 footer__nav-col">
	<h4 class="footer__heading">Resources</h4><nav>
	<ul class="footer__nav-list">
	<li><a href="">How to write a blog</a></li>
	<li><a href="">Why i  has started blogging</a></li>
	<li><a href="">Why i love writing blogs</a></li>
	<li><a href="">How to make a website</a></li>
	<li><a href="">Learn Blogging</a></li>
</ul>

<div class="footer__spec-link">
	<a href="/resources/">Check all resources</a></div></nav></div>
	<div class="col-sm-6 footer__nav-col"><h4 class="footer__heading">That Best Authors :) :-)</h4>
	<nav><ul class="footer__nav-list">
		<li><a href="">Anuvab Sen</a></li>
		<li><a href="">Udayon Sen</a></li>
		<li><a href="">Amrita Kesh</a></li>
	</ul>
	<div class="footer__spec-link">
		<a href="/software-services/">Check all software &amp; services</a></div></nav></div></div></div></div><div class="row footer__bottom"><div class="col-xl-4 offset-xl-2"><small class="footer__copyright">Copyright 2021 <a href="/">Anuvab Sen</a> • All Rights Reserved <br>Made love Anuvab  | Amrita Kesh Udayon Sen; Made by human</small></div><div class="col-xl-6 mt-4 mt-xl-0"><nav class="footer__small-nav"> <a href="" rel="nofollow">Privacy Policy</a> <a href="" rel="nofollow">Terms &amp; Conditions</a> <a href="" rel="nofollow">Website archive</a></nav>
   </div>
   </div>
   </div>
  </footer>

	<script type="application/ld+json">{"@context": "http://schema.org",
		            "@type": "WebSite",
		            "name": "FirstSiteGuide",
		            "alternateName": "Online Business & Top Software Advice",
		            "url": "https://firstsiteguide.com/"}</script> <noscript><style>.lazyload{display:none;}</style></noscript><script data-noptimize="1" type="text/javascript">window.lazySizesConfig=window.lazySizesConfig||{};window.lazySizesConfig.loadMode=1;</script><script async="" data-noptimize="1" src="https://firstsiteguide.com/wp-content/plugins/autoptimize/classes/external/js/lazysizes.min.js?ao_version=2.8.1" type="text/javascript"></script><script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill.min.js?ver=7.4.4" id="wp-polyfill-js" type="text/javascript"></script> <script id="wp-polyfill-js-after" type="text/javascript">( 'fetch' in window ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-fetch.min.js?ver=3.0.0"></scr' + 'ipt>' );( document.contains ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-node-contains.min.js?ver=3.42.0"></scr' + 'ipt>' );( window.DOMRect ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-dom-rect.min.js?ver=3.42.0"></scr' + 'ipt>' );( window.URL && window.URL.prototype && window.URLSearchParams ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-url.min.js?ver=3.6.4"></scr' + 'ipt>' );( window.FormData && window.FormData.prototype.keys ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-formdata.min.js?ver=3.0.12"></scr' + 'ipt>' );( Element.prototype.matches && Element.prototype.closest ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-element-closest.min.js?ver=2.0.2"></scr' + 'ipt>' );( 'objectFit' in document.documentElement.style ) || document.write( '<script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/wp-polyfill-object-fit.min.js?ver=2.3.4"></scr' + 'ipt>' );</script> <script src="https://firstsiteguide.com/wp-includes/js/dist/hooks.min.js?ver=50e23bed88bcb9e6e14023e9961698c1" id="wp-hooks-js" type="text/javascript"></script> <script src="https://firstsiteguide.com/wp-includes/js/dist/i18n.min.js?ver=db9a9a37da262883343e941c3731bc67" id="wp-i18n-js" type="text/javascript"></script> <script src="https://firstsiteguide.com/wp-includes/js/dist/vendor/lodash.min.js?ver=4.17.19" id="lodash-js" type="text/javascript"></script> <script src="https://firstsiteguide.com/wp-includes/js/dist/url.min.js?ver=0ac7e0472c46121366e7ce07244be1ac" id="wp-url-js" type="text/javascript"></script> <script src="https://firstsiteguide.com/wp-includes/js/dist/api-fetch.min.js?ver=a783d1f442d2abefc7d6dbd156a44561" id="wp-api-fetch-js" type="text/javascript"></script> <script id="wp-api-fetch-js-after" type="text/javascript">wp.apiFetch.use( wp.apiFetch.createRootURLMiddleware( "https://firstsiteguide.com/wp-json/" ) );
wp.apiFetch.nonceMiddleware = wp.apiFetch.createNonceMiddleware( "f2a8520cb1" );
wp.apiFetch.use( wp.apiFetch.nonceMiddleware );
wp.apiFetch.use( wp.apiFetch.mediaUploadMiddleware );
wp.apiFetch.nonceEndpoint = "https://firstsiteguide.com/wp-admin/admin-ajax.php?action=rest-nonce";</script> <div class="essb_mailform"><div class="essb_mailform_content"><p>Send this to friend</p><label class="essb_mailform_content_label">Your email</label><input type="text" id="essb_mailform_from" class="essb_mailform_content_input" placeholder="Your email"><label class="essb_mailform_content_label">Recipient email</label><input type="text" id="essb_mailform_to" class="essb_mailform_content_input" placeholder="Recipient email"><div class="essb_mailform_content_buttons"><button id="essb_mailform_btn_submit" class="essb_mailform_content_button" onclick="if (!window.__cfRLUnblockHandlers) return false; essb_mailform_send();">Send</button><button id="essb_mailform_btn_cancel" class="essb_mailform_content_button" onclick="if (!window.__cfRLUnblockHandlers) return false; essb_close_mailform(); return false;">Cancel</button></div><input type="hidden" id="essb_mail_salt" value="1891918280"><input type="hidden" id="essb_mail_instance" value=""><input type="hidden" id="essb_mail_post" value=""></div></div><div class="essb_mailform_shadow"></div><script type="text/javascript">var essb_window = function(oUrl, oService, oInstance) { var element = jQuery('.essb_'+oInstance); var instance_post_id = jQuery(element).attr("data-essb-postid") || ""; var instance_position = jQuery(element).attr("data-essb-position") || ""; var wnd; var w = 800 ; var h = 500; if (oService == "twitter") { w = 500; h= 300; } var left = (screen.width/2)-(w/2); var top = (screen.height/2)-(h/2); if (oService == "twitter") { wnd = window.open( oUrl, "essb_share_window", "height=300,width=500,resizable=1,scrollbars=yes,top="+top+",left="+left ); } else { wnd = window.open( oUrl, "essb_share_window", "height=500,width=800,resizable=1,scrollbars=yes,top="+top+",left="+left ); } if (typeof(essb_settings) != "undefined") { if (essb_settings.essb3_stats) { if (typeof(essb_handle_stats) != "undefined") { essb_handle_stats(oService, instance_post_id, oInstance); } } if (essb_settings.essb3_ga) { essb_ga_tracking(oService, oUrl, instance_position); } } essb_self_postcount(oService, instance_post_id); if (typeof(essb_abtesting_logger) != "undefined") { essb_abtesting_logger(oService, instance_post_id, oInstance); } var pollTimer = window.setInterval(function() { if (wnd.closed !== false) { window.clearInterval(pollTimer); essb_smart_onclose_events(oService, instance_post_id); } }, 200); }; var essb_self_postcount = function(oService, oCountID) { if (typeof(essb_settings) != "undefined") { oCountID = String(oCountID); jQuery.post(essb_settings.ajax_url, { 'action': 'essb_self_postcount', 'post_id': oCountID, 'service': oService, 'nonce': essb_settings.essb3_nonce }, function (data) { if (data) { }},'json'); } }; var essb_smart_onclose_events = function(oService, oPostID) { if (oService == "subscribe" || oService == "comments") return; if (typeof (essbasc_popup_show) == 'function') { essbasc_popup_show(); } if (typeof essb_acs_code == 'function') { essb_acs_code(oService, oPostID); } if (typeof(after_share_easyoptin) != "undefined") { essb_toggle_subscribe(after_share_easyoptin); } }; var essb_tracking_only = function(oUrl, oService, oInstance, oAfterShare) { var element = jQuery('.essb_'+oInstance); if (oUrl == "") { oUrl = document.URL; } var instance_post_id = jQuery(element).attr("data-essb-postid") || ""; var instance_position = jQuery(element).attr("data-essb-position") || ""; if (typeof(essb_settings) != "undefined") { if (essb_settings.essb3_stats) { if (typeof(essb_handle_stats) != "undefined") { essb_handle_stats(oService, instance_post_id, oInstance); } } if (essb_settings.essb3_ga) { essb_ga_tracking(oService, oUrl, instance_position); } } essb_self_postcount(oService, instance_post_id); if (oAfterShare) { essb_smart_onclose_events(oService, instance_post_id); } }; var essb_pinterest_picker = function(oInstance) { essb_tracking_only('', 'pinterest', oInstance); var e=document.createElement('script'); e.setAttribute('type','text/javascript'); e.setAttribute('charset','UTF-8'); e.setAttribute('src','//assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e); };var essb_mailform_opened = false; function essb_open_mailform(unique_id) { jQuery.fn.extend({ center: function () { return this.each(function() { var top = (jQuery(window).height() - jQuery(this).outerHeight()) / 2; var left = (jQuery(window).width() - jQuery(this).outerWidth()) / 2; jQuery(this).css({position:'fixed', margin:0, top: (top > 0 ? top : 0)+'px', left: (left > 0 ? left : 0)+'px'}); }); } }); if (essb_mailform_opened) { essb_close_mailform(unique_id); return; } var sender_element = jQuery(".essb_"+unique_id); if (!sender_element.length) return; var sender_post_id = jQuery(sender_element).attr("data-essb-postid") || ""; jQuery("#essb_mail_instance").val(unique_id); jQuery("#essb_mail_post").val(sender_post_id); var win_width = jQuery( window ).width(); var win_height = jQuery(window).height(); var doc_height = jQuery('document').height(); var base_width = 300; if (win_width < base_width) { base_width = win_width - 30; } var height_correction = 20; var element_class = ".essb_mailform"; var element_class_shadow = ".essb_mailform_shadow"; jQuery(element_class).css( { width: base_width+'px'}); var popup_height = jQuery(element_class).outerHeight(); if (popup_height > (win_height - 30)) { jQuery(element_class).css( { height: (win_height - height_correction)+'px'}); } jQuery("#essb_mailform_from").val(""); jQuery("#essb_mailform_to").val(""); if (jQuery("#essb_mailform_c").length) jQuery("#essb_mailform_c").val(""); jQuery(element_class_shadow).css( { height: (win_height)+'px'}); jQuery(element_class).center(); jQuery(element_class).slideDown(200); jQuery(element_class_shadow).fadeIn(200); essb_mailform_opened = true; essb_tracking_only("", "mail", unique_id); }; function essb_close_mailform() { var element_class = ".essb_mailform"; var element_class_shadow = ".essb_mailform_shadow"; jQuery(element_class).fadeOut(200); jQuery(element_class_shadow).fadeOut(200); essb_mailform_opened = false; }; function essb_mailform_send() { var sender_email = jQuery("#essb_mailform_from").val(); var recepient_email = jQuery("#essb_mailform_to").val(); var captcha_validate = jQuery("#essb_mailform_c").length ? true : false; var captcha = captcha_validate ? jQuery("#essb_mailform_c").val() : ""; var custom_message = jQuery("#essb_mailform_custom").length ? jQuery("#essb_mailform_custom").val() : ""; if (sender_email == "" || recepient_email == "" || (captcha == "" && captcha_validate)) { alert("Please fill all fields in form!"); return; } var mail_salt = jQuery("#essb_mail_salt").val(); var instance_post_id = jQuery("#essb_mail_post").val(); console.log("mail salt = " + mail_salt); if (typeof(essb_settings) != "undefined") { jQuery.post(essb_settings.ajax_url, { "action": "essb_mail_action", "post_id": instance_post_id, "from": sender_email, "to": recepient_email, "c": captcha, "cu": custom_message, "salt": mail_salt, "nonce": essb_settings.essb3_nonce }, function (data) { if (data) { console.log(data); alert(data["message"]); if (data["code"] == "1") essb_close_mailform(); }},'json'); } };</script> <script defer="" src="https://firstsiteguide.com/wp-content/cache/autoptimize/js/autoptimize_57331244e0f327e3928cdf1bf25c263a.js" type="text/javascript"></script>
<script src="https://code.iconify.design/2/2.0.3/iconify.min.js"></script>


</body></html>
